#
# Spec file for Red Hat Messaging package rhm.
#
Name:           rhm
Version:        0.2
Release:        11%{?dist}
Summary:        Red Hat extensions to the Qpid messaging system
Group:          System Environment/Libraries
License:        LGPL
URL:            http://rhm.et.redhat.com/rhm
Source0:        http://rhm.et.redhat.com/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: i386 x86_64

BuildRequires: qpidc-devel
BuildRequires: qpidd-devel
BuildRequires: db4-devel
# TODO: Workaround missing dependency in qpidd-devel. Remove this
# when qpid-devel is updated.
BuildRequires: e2fsprogs-devel
BuildRequires: libaio-devel
BuildRequires: cppunit-devel

Requires: qpidd
Requires: db4
Requires: libaio

Requires(preun):/sbin/service
Requires(postun):/sbin/service

%description
Red Hat extensions to the Qpid AMQP broker: persistent message storage
in Berkeley DB.

%prep
%setup -q

%build
%configure --disable-static --disable-rpath CXXFLAGS="-O3 -DNDEBUG"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -Dp -m0755 etc/rhmd %{buildroot}%{_initrddir}/rhmd
install -Dp -m0755 etc/rhmd.sh %{buildroot}%{_sbindir}/rhmd
install -d  -m0775 %{buildroot}%{_localstatedir}/rhm
rm -f %{buildroot}%_libdir/*.a
rm -f %{buildroot}%_libdir/*.la
rm -f %{buildroot}%_libdir/*.so

%clean
rm -rf %{buildroot}

%check
make check

%files
%defattr(-,root,root,-)
%doc README COPYING
%_libdir/libbdbstore.so.0
%_libdir/libbdbstore.so.0.1.0
%_initrddir/rhmd
%_sbindir/rhmd
%attr(0775,root,root) %dir %_localstatedir/rhm
%config(noreplace) %_sysconfdir/rhmd.conf

%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add qpidd
/sbin/ldconfig

%preun
# Check that this is actual deinstallation, not just removing for upgrade.
if [ $1 = 0 ]; then
  /sbin/service rhmd stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del rhmd
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service rhmd condrestart >/dev/null 2>&1 || :
fi
/sbin/ldconfig


%changelog
* Thu Jan 03 2008 Nuno Santos <nsantos@redhat.com> - 0.2-11
- add missing dependencies on libaio, cppunit, qpidc-devel

* Thu Jan 03 2008 Nuno Santos <nsantos@redhat.com> - 0.2-7
- configure from installed qpidd rpm, not from a local checkout

* Thu Jan 03 2008 Nuno Santos <nsantos@redhat.com> - 0.2-6                                                    
- limit builds to i386 and x86_64 archs

* Tue Dec 18 2007 Nuno Santos <nsantos@redhat.com> - 0.2-5
- Include several fixes, mainly from Kim Van Der Riet (BZ 401071: Add journal
 file geometry parameters to broker, 401091: Handle journal full condition in
 broker, 401151: Journal RID not monotonically increasing in all cases, 
 401191: Journal recovery fails when overwrite boundary coincides with 
 previous record, 403051: Failures in perftest fanout mode with async 
 persistence, 403201: Messages prematurely deleted by store, 413021: Journal 
 recovery fails when flush did not occur and records don't end on sblk 
 boundary, 423981: Error running durable perftest)

* Thu Dec 06 2007 Alan Conway <aconway@redhat.com> - 0.2-4
- Build with optimized flags.

* Thu Oct 04 2007 Nuno Santos <nsantos@redhat.com> - 0.2-2
- Add rhmd init script

* Wed Jul 25 2007 Nuno Santos <nsantos@redhat.com> - 0.2-1
- Disable rpath; bump release to match numbers of qpidc trunk packages

* Tue Apr 17 2007 Alan Conway <aconway@redhat.com> - 0.1-3
- Workaround missing BuildRequires: e2fsprogs-devel in qpidc-devel.

* Tue Apr 17 2007 Alan Conway <aconway@redhat.com> - 0.1-2
- Added missing BuildRequires: db4-devel 

* Thu Apr 12 2007 Alan Conway <aconway@redhat.com> - 0.1-1
- Initial build.

